Update Profile
PATCH
/api/v1/auth/me
const url = 'https://example.com/api/v1/auth/me';const options = { method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","locale":"example","base_currency":"example","theme":"example","theme_mode":"example","date_format":"example","number_format":"example","font_size":"example","density":"example","report_frequency":"example","offer_rule_on_categorize":true,"tour_seen":true,"setup_checklist_hidden":true,"suggest_category_from_payee":true,"custom_css":"example","missing_rates_dismissed":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/api/v1/auth/me \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "locale": "example", "base_currency": "example", "theme": "example", "theme_mode": "example", "date_format": "example", "number_format": "example", "font_size": "example", "density": "example", "report_frequency": "example", "offer_rule_on_categorize": true, "tour_seen": true, "setup_checklist_hidden": true, "suggest_category_from_payee": true, "custom_css": "example", "missing_rates_dismissed": "example" }'Update the current user’s profile.
Any of name, locale, base_currency, theme, theme_mode, report_frequency and custom_css can be
sent. A custom_css the allow-list rejects answers 422 custom_css_invalid and changes nothing.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
UpdateProfileRequest
object
Example generated
{ "name": "example", "locale": "example", "base_currency": "example", "theme": "example", "theme_mode": "example", "date_format": "example", "number_format": "example", "font_size": "example", "density": "example", "report_frequency": "example", "offer_rule_on_categorize": true, "tour_seen": true, "setup_checklist_hidden": true, "suggest_category_from_payee": true, "custom_css": "example", "missing_rates_dismissed": "example"}Responses
Section titled “Responses”Successful Response
Media typeapplication/json
UserOut
Schema for user profile response — ORM serialization via from_attributes.
object
id
required
Id
integer
sub
required
Sub
string
locale
Locale
string
base_currency
Base Currency
string
theme
Theme
string
theme_mode
Theme Mode
string
offer_rule_on_categorize
Offer Rule On Categorize
boolean
tour_seen
Tour Seen
boolean
setup_checklist_hidden
Setup Checklist Hidden
boolean
suggest_category_from_payee
Suggest Category From Payee
boolean
totp_enabled
Totp Enabled
boolean
is_admin
Is Admin
boolean
is_active
Is Active
boolean
Example
{ "locale": "fr", "base_currency": "EUR", "theme": "ledger", "theme_mode": "light", "offer_rule_on_categorize": false, "tour_seen": false, "setup_checklist_hidden": false, "suggest_category_from_payee": true, "totp_enabled": false, "is_admin": false, "is_active": true}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}